Subject: Re: bash died waiting for longjmp before initialization
From: Lonni J Friedman <[email-masked]>
To: Ryan Johnson <[email-masked]>
Cc: [email-masked]
Date: Thu, 14 Apr 2011 15:19:17 -0700
List-Id: <cygwin.cygwin.com>

Hi Ryan,
Thanks for your reply.  I have to admit, I had never heard of the
concept of a rebase until you mentioned it.  After googling, it sounds
like this is what I should try?
http://www.heikkitoivonen.net/blog/2008/11/26/cygwin-upgrades-and-rebaseall/

If so, I guess I can give that a try on one system and see if it helps.

I'll also try out your attacked testcase and provide feedback.

thanks

On Thu, Apr 14, 2011 at 5:56 AM, Ryan Johnson <[email-masked]> wrote:
> I haven't had bash crash on me, but I do get other fork-related errors on my
> win7-x64 system. You might try running the attached testcase (make &&
> ./fork) a few times to see if it reproduces the problem.
>
> For me it usually complains about access violations during the fork and
> sometimes dies waiting for longjmp, with the culprit being two dlls which
> want to load at the same address.
>
> The usual advice most likely applies: rebase your system (a workaround which
> usually prevents the condition that triggers the bug... until you run
> setup.exe again).
>
> Regards,
> Ryan
>
> On 2:59 PM, Lonni J Friedman wrote:
>>
>> Greetings,
>> I've been experiencing seemingly random bash shell crashes on all
>> (20+) Windows7-x64 systems that I have in a lab which are used for
>> automated tests of my employer's software.  Every time that bash
>> crashes, I see an error very similar to the following:
>> 5 [main] bash 3100 fork: child -1 - died waiting for longjmp before
>> initialization, retry -1, exit code 0xC0000142, errno 11
>>
>> Occasionally, I also see a few additional errors immediately after the
>> above error, such as these:
>>       2 [main] ? (4264) child_copy: cygheap read copy failed,
>> 0x611688E0..0x6116BCF8, done 0, windows pid 0, Win32 error 299
>>  124115 [main] bash 4264 child_copy: dll data read copy failed,
>> 0x61102000..0x61106BA0, done 0, windows pid 4264, Win32 error 299
>>
>> I've not had any success manually reproducing or attempting to force
>> this crash.  Its always been completely random, however it happens at
>> least once every day on every Win7-x64 system.
>>
>> I've attached the output from running 'cygcheck -s -v -r' on one of
>> the systems where this failure has occurred many times.  I can provide
>> the output from other systems as well if requested.
>>
>> I'd be happy to answer any questions or provide more information, or
>> perform some form of debugging if someone requests something specific.
>>
>> thanks!
>
>

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
L. Friedman                                    [email-masked]
LlamaLand                       https://netllama.linux-sxs.org

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple